package com.njcn.device.device.mapper;

import com.njcn.device.pq.pojo.param.TerminalMainQueryParam;
import com.njcn.device.pq.pojo.po.DevVersion;
import com.njcn.device.pq.pojo.vo.TerminalVersionVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * pqs
 * 终端程序版本
 * @author cdf
 * @date 2022/5/12
 */
public interface TerminalVersionMapper {

    /**
     * 或取装置及关联信息
     * @author cdf
     * @date 2022/5/11
     */
    List<TerminalVersionVO> getTerminalVersionInfo(@Param("queryParam")TerminalMainQueryParam queryParam);

    /**
     * 获取区域
     * @author cdf
     * @date 2022/5/11
     */
    List<TerminalVersionVO> getProvList();

    /**
     * 获取公司，单位
     * @author cdf
     * @date 2022/5/11
     */
    List<TerminalVersionVO> getGdAndSubList(@Param("level") Integer level);

    /**
     * 根据ids获取pq_line省份信息
     * @author cdf
     * @date 2022/5/12
     */
    List<TerminalVersionVO> getPqLineProvList(@Param("ids") List<String> ids);

    /**
     * 根据ids获取pq_line公司单位信息
     * @author cdf
     * @date 2022/5/12
     */
    List<TerminalVersionVO> getPqLineGdAndSubList(@Param("ids") List<String> ids);


    List<DevVersion> selectListById(String id);

    List<TerminalVersionVO.Version> selectDevVersion(@Param("ids")List<String> ids);
}
